package com.usky.alarm.mapper;

import com.usky.alarm.domain.BaseAlarm;
import com.usky.alarm.domain.BaseAlarmType;
import com.usky.common.mybatis.core.CrudMapper;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 统一告警表 Mapper 接口
 * </p>
 *
 * @author han
 * @since 2023-09-22
 */
@Repository
public interface BaseAlarmMapper extends CrudMapper<BaseAlarm> {
    BaseAlarmType getAlarmTypeOne(String alarmType);
}
