package com.usky.alarm.service.vo;

import lombok.Data;

/**
 * @author zyj
 * @date 2023-01-11
 */
@Data
public class MqttDataVO {
    /**
     * 设备编号
     */
    private String devId;

    /**
     * 设备类型
     */
    private Integer deviceType;

    /**
     * 单位编号
     */
    private String companyId;

    /**
     * 系统类型 (1.火灾自动报警系统 2.自动喷水灭火系统 3.消防给水及消火栓系统 4.防排烟系统 5.电气火灾系统 6.消防视频监控系统)
     */
    private Integer systemType;

    /**
     * 单位名称
     */
    private String companyName;
}
