package com.usky.backend.domain;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class DataAverageRequestVO implements Serializable {
    /**
     * 统计方式（”Day“,"Month","Year"）
     */
    private String dataType;

    /**
     * 分组方式（"Each","Total"）
     */
    private String groupType;

    //产品编码
    private String productCode;
    //设备类型编码
    private String deviceType;
    //设备Id
    private List<String> deviceIds;
    //设备属性集合
    private List<String> attributeNames;
    //开始时间
    private String startTime;
    //结束时间
    private String endTime;
    //导出Excel标题名称
    private String titleName;
    //导出sheet名称
    private String sheetName;

}
