package com.usky.backend.domain;

import lombok.Data;

import java.util.List;

@Data
public class DataTotalRequestVO {

    /**
     * 分组方式（"Each","All"）
     */
    private String groupType;

    //产品编码
    private String productCode;
    //设备类型编码
    private String deviceType;
    //设备Id
    private List<String> deviceIds;
    //设备属性集合
    private List<String> attributeNames;
    //开始时间
    private String startTime;
    //结束时间
    private String endTime;
}
