package com.usky.fire.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.fire.domain.BaseRegionStatistic;
import com.usky.fire.service.BaseRegionStatisticService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 区域基本情况统计表 前端控制器
 * </p>
 *
 * @author han
 * @since 2023-10-09
 */
@RestController
@RequestMapping("/baseRegionStatistic")
public class BaseRegionStatisticController {
    @Autowired
    private BaseRegionStatisticService baseRegionStatisticService;

    /**
     * 列表信息
     * @return
     */
    @GetMapping("regionInfo")
    public ApiResult<List<BaseRegionStatistic>> regionInfo(){
        return ApiResult.success(baseRegionStatisticService.regionInfo());
    }
}

