package com.usky.fire.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.fire.domain.DemFireSafetyInspection;
import com.usky.fire.service.DemFireSafetyInspectionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 消防安全检查记录表 前端控制器
 * </p>
 *
 * @author han
 * @since 2023-10-25
 */
@RestController
@RequestMapping("/demFireSafetyInspection")
public class DemFireSafetyInspectionController {
    @Autowired
    private DemFireSafetyInspectionService demFireSafetyInspectionService;

    /**
     * 撒点
     * @return
     */
    @GetMapping("fireSafetyInspectionScatter")
    public ApiResult<List<DemFireSafetyInspection>> fireSafetyInspectionScatter(){
        return ApiResult.success(demFireSafetyInspectionService.fireSafetyInspectionScatter());
    }
}

