package com.usky.fire.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.fire.service.DemNewLawService;
import com.usky.fire.service.vo.AdLicenseStatisticVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 法律文书记录表 前端控制器
 * </p>
 *
 * @author han
 * @since 2023-10-11
 */
@RestController
@RequestMapping("/demNewLaw")
public class DemNewLawController {
    @Autowired
    private DemNewLawService demNewLawService;

    /**
     * 行政许可情况统计
     */
    @GetMapping("adLicenseStatistic")
    public ApiResult<AdLicenseStatisticVO> adLicenseStatistic(){
        return ApiResult.success(demNewLawService.adLicenseStatistic());

    }

}

