package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 同意投入使用信息表
 * </p>
 *
 * @author han
 * @since 2023-10-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemNewAgreeUse implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 文号1
     */
    private String document1;

    /**
     * 文号2
     */
    private String document2;

    /**
     * 文号3
     */
    private String document3;

    /**
     * 文号4
     */
    private String document4;

    /**
     * 文号
     */
    private String document;

    /**
     * 被处罚单位名称
     */
    private String companyName;

    /**
     * 单位地址
     */
    private String comapnyAddress;

    /**
     * 申请日期
     */
    private LocalDateTime applicantTime;

    /**
     * 检查状态
     */
    private Integer checkStatus;

    /**
     * 是否删除
     */
    private Integer deleteFlag;

    /**
     * 场所名称
     */
    private String facilityName;


}
