package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 新消监_责令限期改正通知书、监督检查
 * </p>
 *
 * @author han
 * @since 2023-09-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemNewDeadlineNotice implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 单位名称
     */
    private String companyName;

    /**
     * 检查时间
     */
    private LocalDateTime checkTime;

    /**
     * 整改隐患
     */
    private String content4;

}
