package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 法律文书记录表
 * </p>
 *
 * @author han
 * @since 2023-10-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemNewLaw implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 文书名称
     */
    private String lawName;

    /**
     * 参考文件
     */
    private String documentTransmission;

    /**
     * 单位
     */
    private String companyName;

    /**
     * 检查类型
     */
    private String checkType;


}
