package com.usky.fire.service;

import com.usky.fire.domain.ReportIndexConfig;
import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.service.vo.BaseBuildAddVO;

import java.util.List;

/**
 * <p>
 * 指数配置表 服务类
 * </p>
 *
 * @author han
 * @since 2023-06-27
 */
public interface ReportIndexConfigService extends CrudService<ReportIndexConfig> {
    /**
     * 指数配置-查询
     *
     * @param indexGrade 上级指数
     */
    List<ReportIndexConfig> indexConfigList(Integer reportId,Integer indexGrade);

    /**
     * 报告模型-删除
     *
     * @param id 主键ID
     */
    boolean delReportIndexConfig(Integer id);
}
