package com.usky.fire.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.fire.domain.BaseRegionStatistic;
import com.usky.fire.mapper.BaseRegionStatisticMapper;
import com.usky.fire.service.BaseRegionStatisticService;
import com.usky.common.mybatis.core.AbstractCrudService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 区域基本情况统计表 服务实现类
 * </p>
 *
 * @author han
 * @since 2023-10-09
 */
@Service
public class BaseRegionStatisticServiceImpl extends AbstractCrudService<BaseRegionStatisticMapper, BaseRegionStatistic> implements BaseRegionStatisticService {

    @Override
    public List<BaseRegionStatistic> regionInfo(){
        LambdaQueryWrapper<BaseRegionStatistic> queryWrapper = Wrappers.lambdaQuery();
        List<BaseRegionStatistic> list = this.list(queryWrapper);
        return list;
    }
}
