package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author han
 * @since 2023-06-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ReportIndex1Vo implements Serializable {

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 指数名称
     */
    private String indexName;

    /**
     * 指数权重分
     */
    private Double indexWeight;

    /**
     * 指数编号
     */
    private String indexCode;

    /**
     * 评分说明
     */
    private String indexDesc;

    /**
     * 指数等级
     */
    private Integer indexGrade;

    /**
     * 二级指数结果清单
     */
    private List<ReportIndex2Vo> children;

}
