package com.usky.iot.mapper;

import com.usky.iot.domain.BaseBuild;
import com.usky.iot.domain.BaseBuildFacility;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.iot.domain.BaseBuildFacilityType;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 建筑设施 Mapper 接口
 * </p>
 *
 * @author han
 * @since 2023-07-26
 */
@Repository
public interface BaseBuildFacilityMapper extends CrudMapper<BaseBuildFacility> {
    BaseBuildFacilityType baseBuildFacilityTypeList(@Param("facilityType") String facilityType);
    List<BaseBuild> getBuildName(@Param("buildIdList") List<Integer> buildIdList);
}
