package com.usky.iot.mapper;

import com.usky.common.security.utils.SecurityUtils;
import com.usky.iot.domain.DmpDeviceType;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.iot.domain.DmpProductInfo;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 设备信息类型 Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2023-06-06
 */
@Repository
public interface DmpDeviceTypeMapper extends CrudMapper<DmpDeviceType> {
    List<DmpProductInfo> getProductInfo(Integer tenantId);
}
