package com.usky.iot.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

@Data
public class CrmInvoiceInfoVO {

    /**
     * 项目编号
     */
    private String projectId;

    /**
     * 发票抬头
     */
    private String invoiceTitle;

    /**
     * 税号
     */
    private String dutyId;

    /**
     * 电子邮箱
     */
    private String email;

    /**
     * 申请人
     */
    private String applicant;

    /**
     * 手机号码
     */
    private String phone;

    /**
     * 金额
     */
    private Double amount;

    /**
     * 发票类型;1：普票，2：专票
     */
    private Integer invoiceType;

    /**
     * 发票性质;1：电子发票，2：纸质发票
     */
    private Integer invoiceAttribute;

    /**
     * 邮寄地址
     */
    private String sendAddress;

    /**
     * 付款回执
     */
    private String paymentReceipt;

    /**
     * 提交时间
     */
    private String createTime;
}
