package com.usky.iot.service.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

@Data
@EqualsAndHashCode(callSuper = false)
public class DeviceDataInfoVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 属性值集合
     */
    private Map<String,Object> metrics;

    /**
     * 设备编号
     */
    private String device_id;

    /**
     * 产品Id
     */
    private String product_id;

    /**
     * 数据上报时间
     */
    private long timestamp;

    /**
     * 设备类型
     */
    private String device_type;
}
