package com.usky.iot.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;

import lombok.Data;

/**
 * <p>
 * 
 * </p>
 *
 * @author han
 * @since 2023-07-27
 */
@Data
public class FacilityImportVo{
    /**
     * 设施类型（必填）
     */
    @Excel(name = "设施类型（必填）")
    private String facilityType;

    /**
     * 设施名称（必填）
     */
    @Excel(name = "设施名称（必填）")
    private String facilityName;

    /**
     * 设施地址（必填）
     */
    @Excel(name = "设施地址（必填）")
    private String address;
    /**
     * 联系人
     */
    @Excel(name = "联系人")
    private String contact;

    /**
     * 联系电话
     */
    @Excel(name = "联系电话")
    private String contactPhone;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String facilityDesc;

    /**
     * 经度（必填）
     */
    @Excel(name = "经度（必填）")
    private String longitude;

    /**
     * 维度（必填）
     */
    @Excel(name = "维度（必填）")
    private String latitude;

}
