package com.usky.issue.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author fu
 * @since 2024-01-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SpOwner implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 单位编号
     */
    private String ownerCode;

    /**
     * 单位名称
     */
    private String ownerName;

    /**
     * 单元地址
     */
    private String unitinfo;

    /**
     * 楼层
     */
    private String louyu;

    /**
     * sim卡
     */
    private String sim;

    /**
     * 维保时间
     */
    @TableField("maintainTime")
    private String maintainTime;

    /**
     * 对应方法
     */
    private Integer destAddress;

    /**
     * 省
     */
    private String addr1;

    /**
     * 市
     */
    private String addr2;

    /**
     * 区、县
     */
    private String addr3;

    /**
     * 地址
     */
    private String address;

    /**
     * 位置
     */
    private String posistion;

    /**
     * 安装时间
     */
    private LocalDateTime installTime;

    /**
     * 安装人
     */
    private String installMan;

    /**
     * 1火系统  2水系统 3烟感系统 4消防栓，5液位 6rtu 7电气火灾 8防火门 9气体灭火 10人脸识别 16视频监控 128井盖 
     */
    private Integer dwtype;

    /**
     * 型号 id,方法
     */
    private String ownerXh;

    /**
     * 间隔时间
     */
    private Integer sInterval;

    /**
     * 社区
     */
    private String community;

    /**
     * 所属单位
     */
    private String company;

    private String rtmp;

    private String hls;

    private String html5;

    private String danwei;

    /**
     * 倍率
     */
    private String ownerBl;

    /**
     * 报告推送参数1
     */
    private Integer pushParam1;

    /**
     * 报告推送参数2
     */
    private Integer pushParam2;

    /**
     * 报告推送参数3
     */
    private Integer pushParam3;

    /**
     * 报告推送参数4
     */
    private Integer pushParam4;

    /**
     * 登录参数Json格式存储
     */
    private String loginParam;

    /**
     * 传输类型
     */
    private String transferType;


}
