package com.usky.issue.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * asf
 * </p>
 *
 * @author fu
 * @since 2023-12-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SpSj2017 implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private String port;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime time;

    /**
     * 状态
     */
    private String status;

    /**
     * 地址 ip
     */
    private String address;

    /**
     * 命令码
     */
    private String ncmd;

    /**
     * 报警类型0 正常 1 低压 2高压 3故障 4离线
     */
    private String data1;

    /**
     * 电池电量
     */
    private String data2;

    /**
     * 信号强度
     */
    private String data3;

    /**
     * 压力值 mpa
     */
    private String data4;

    /**
     * 物联网卡号
     */
    private String data5;

    /**
     * 联系人
     */
    private String cllxr;

    /**
     * 处理时间
     */
    private LocalDateTime clsj;

    /**
     * 处理人
     */
    private String clr;

    /**
     * 处理内容
     */
    private String clnr;

    private String clwb;

    /**
     * 联系电话
     */
    private String cldh;

    /**
     * 处理状态
     */
    private Integer clzt;

    private String cllx;

    /**
     * 视频地址
     */
    private String video;


}
