package com.usky.issue.domain;

import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 离线设备VIEW
 * </p>
 *
 * @author fu
 * @since 2023-11-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class YtDeviceStatus implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Integer id;

    /**
     * 单位编号
     */
    private String companyCode;

    /**
     * 单位名称
     */
    private String companyName;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 单位地址
     */
    private String address;

    /**
     * 设备类型
     */
    private String deviceType;

    /**
     * 最后通信时间
     */
    private String dataTime;

    /**
     * 当前时间
     */
    private String statTime;

    /**
     * 时间差值（小时）
     */
    private Long difference;
}
