package com.usky.issue.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.usky.issue.domain.SpProjectConfig;
import com.usky.common.mybatis.core.CrudMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author fu
 * @since 2023-12-11
 */
@DS("UskyOw")
@Repository
public interface SpProjectConfigMapper extends CrudMapper<SpProjectConfig> {
    String getCompanyCode(@Param("appKey") String appKey);
}

