package com.usky.issue.mapper;

import com.usky.issue.domain.YtDeviceStatus;
import com.usky.common.mybatis.core.CrudMapper;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 离线设备VIEW Mapper 接口
 * </p>
 *
 * @author fu
 * @since 2023-11-23
 */
@Repository
public interface YtDeviceStatusMapper extends CrudMapper<YtDeviceStatus> {
    /*
    deviceType 设备类型
    current 第几页
    size 页大小
     */
    List<YtDeviceStatus> getDeviceStatusType(@Param("deviceType") String deviceType,
                                             @Param("current") int current,
                                             @Param("size") int size);

    List<YtDeviceStatus> exportData();

}
