package com.usky.park.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.park.domain.DataStHistory;
import com.usky.common.mybatis.core.CrudService;
import com.usky.park.domain.EventEg;

/**
 * <p>
 * 无人驿站历史数据 服务类
 * </p>
 *
 * @author fu
 * @since 2023-11-29
 */
public interface DataStHistoryService extends CrudService<DataStHistory> {
    /**
     * 新增包裹信息
     *
     * @param dataStHistory
     * @return
     */
    void add(DataStHistory dataStHistory,String appKey);
    /**
     * 分页查询包裹信息
     *
     * @return
     */
    CommonPage<DataStHistory> pageList(Integer pickupStatus, Integer pageNum, Integer pageSize);
}
