package com.usky.alarm.controller.web;


import com.aliyuncs.dyvmsapi.model.v20170525.SingleCallByTtsResponse;
import com.aliyuncs.exceptions.ClientException;
import com.usky.alarm.service.config.voice.VoiceNotice;
import com.usky.common.core.bean.ApiResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * ceshi前端控制器
 * </p>
 *
 * @author han
 * @since 2023-06-07
 */
@RestController
@RequestMapping("/baseBuild")
public class BaseBuildController {

    @Autowired
    private VoiceNotice voiceNotice;
    /**
     * 新增
     * @return
     */
    @PostMapping("/alarmInfo")
    public SingleCallByTtsResponse add() throws ClientException {
        SingleCallByTtsResponse code = voiceNotice.sendCVoice("15122423833","视频监控","火点侦测","2023-09-12 10:01:54");
        return code;
    }
}





