package com.usky.alarm.service;

import com.aliyuncs.exceptions.ClientException;
import com.usky.alarm.domain.*;
import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;

import java.util.List;

/**
 * <p>
 * 告警通知结果 服务类
 * </p>
 *
 * @author han
 * @since 2023-09-25
 */
public interface BaseAlarmNoticeResultService extends CrudService<BaseAlarmNoticeResult> {
    CommonPage<BaseAlarmNoticeResult> resultInfo(String receiver, Integer alarmId, Integer current, Integer size);
    Integer send(BaseAlarm baseAlarm, List<BaseAlarmNotice> records3, Integer alarmId, List<DmpProduct> records,
                 BaseAlarmType baseAlarmType, List<DmpDevice> records2) throws ClientException;
}
