package com.usky.alarm.service;

import com.usky.alarm.domain.BaseAlarmStatistic;
import com.usky.common.mybatis.core.CrudService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 告警统计表 服务类
 * </p>
 *
 * @author han
 * @since 2023-11-24
 */
public interface BaseAlarmStatisticService extends CrudService<BaseAlarmStatistic> {
    /**
     * 定时任务-告警日、月不同维度统计
     */
    void baseAlarmStatisticTask(Integer type);

    /**
     * 综合云图-告警及隐患折线图接口
     */
    List<Map<String,Object>> alarmStatistic(Integer deptId,Integer dateType);
}
