package com.usky.backend.domain;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class DataTVResponseVO implements Serializable {
    //设备Id
    private String deviceId;
    //设备名称
    private String deviceName;
    //设备类型编码
    private Integer deviceType;
    //安装位置
    private String installAddress;
    //设备状态;1：在线，2：离线
    private Integer deviceStatus;
    //告警状态;1：告警，2：故障
    private Integer alarmStatus;
    //设备属性集合
    private List<DeviceAttributeVO> dp;
    //告警信息集合
    private List<BaseAlarmVO> alarmList;
}
