package com.usky.backend.domain.request;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *
 */
@Data
public class DmpDeviceDataRequestVO{

    /**
     * 产品编码
     */
    private String productCode;

    /**
     * 设备编号
     */
    private String deviceId;

    /**
     * 数据上报时间
     */
    private long timestamp;

    /**
     * 属性值集合
     */
    private Map<String,Float> metrics;



}

