package com.usky.backend.domain.response;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
public class DataRealTimeResponseVO {

    private static final long serialVersionUID = 1L;

    /**
     * 设备ID
     */
    private String deviceId;

    /**
     * 产品编码
     */
    private String productCode;

    /**
     * 设备类型
     */
    private Integer deviceType;

    /**
     * 属性名称
     */
    private String attributeName;

    /**
     * 属性值
     */
    private String attributeData;

    /**
     * 数据时间
     */
    private LocalDateTime dataTime;

    /**
     * 插入时间
     */
    private LocalDateTime insertTime;
}
