package com.usky.backend.service;

import com.usky.backend.domain.DataRealTime;
import com.usky.backend.domain.request.DataRealTimeRequestVO;
import com.usky.backend.domain.response.DataRealTimeResponseVO;
import com.usky.common.mybatis.core.CrudService;

import java.util.List;

/**
 * <p>
 * 实时数据表 服务类
 * </p>
 *
 * @author ya
 * @since 2023-06-07
 */
public interface DataRealTimeService extends CrudService<DataRealTime> {

    List<DataRealTimeResponseVO> data(String productCode, List<String> deviceIds);
}
