package com.usky.fire.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.fire.service.DemNewInspectRecordService;
import com.usky.fire.service.vo.SiAeAllVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 新消监_消防监督检查记录 前端控制器
 * </p>
 *
 * @author han
 * @since 2023-09-01
 */
@RestController
@RequestMapping("/demNewInspectRecord")
public class DemNewInspectRecordController {

    @Autowired
    public DemNewInspectRecordService demNewInspectRecordService;
    /**
     * 行政执法总记录汇总
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @return
     */
    @GetMapping("/siAeAllCollect")
    public ApiResult<List<SiAeAllVO>> aeAllCollect(@RequestParam String startTime,
                                                   @RequestParam String endTime){
        return ApiResult.success(demNewInspectRecordService.getAeAllCollect(startTime,endTime));
    }
}

