package com.usky.fire.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.fire.domain.DemStreetTown;
import com.usky.fire.service.DemStreetTownService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author han
 * @since 2023-08-17
 */
@RestController
@RequestMapping("/demStreetTown")
public class DemStreetTownController {
    @Autowired
    private DemStreetTownService demStreetTownService;
    /**
     * 列表
     * @param streetTown
     * @return
     */
    @GetMapping("streetDataList")
    ApiResult<List<DemStreetTown>> streetDataList(@RequestParam(value = "streetTown",required = false) String streetTown){
        return ApiResult.success(demStreetTownService.streetDataList(streetTown));
    }
}

