package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 新消监_行政强制临时查封决定书表
 * </p>
 *
 * @author han
 * @since 2023-09-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemNewSeizureLetter implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 文号
     */
    private String documentNumber;

    /**
     * 被查封单位
     */
    private String seizureCompany;

    /**
     * 被查封地址
     */
    private String seizureAddress;

    /**
     * 检查时间
     */
    private LocalDateTime checkTime;


}
