package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 类型表
 * </p>
 *
 * @author fu
 * @since 2024-02-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class PatrolInspectionType implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 类型表主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 类型编号
     */
    private String operateCode;

    /**
     * 类型名称
     */
    private String typeName;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 组织机构ID
     */
    private Integer deptId;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 删除标识
     */
    private Integer deleteFlag;


}
