package com.usky.fire.mapper;

import com.usky.fire.domain.ReportConfig;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.fire.service.vo.ReportConfigVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 报告配置表 Mapper 接口
 * </p>
 *
 * @author han
 * @since 2023-06-27
 */
public interface ReportConfigMapper extends CrudMapper<ReportConfig> {
    List<ReportConfigVO> configNumList1(@Param("tenantId") Integer tenantId);
    List<ReportConfigVO> configNumList(@Param("tenantId") Integer tenantId,
                                       @Param("indexGrade") Integer indexGrade);
}
