package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.fire.domain.DemFireHazardsNotice;
import com.usky.common.mybatis.core.CrudService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 重大火灾隐患整改通知书 服务类
 * </p>
 *
 * @author han
 * @since 2023-08-25
 */
public interface DemFireHazardsNoticeService extends CrudService<DemFireHazardsNotice> {
    /**
     * 挂牌督改-信息查询
     *
     * @param pageNum      当前页
     * @param pageSize     每页条数
     */
    CommonPage<DemFireHazardsNotice> hazardsNoticeList(Integer listingLevel, Integer pageNum, Integer pageSize);

    List<Map<String, Object>> hazardsNoticeStatistic();
}
