package com.usky.fire.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.usky.fire.domain.PatrolInspectionAttendance;
import com.usky.common.mybatis.core.CrudService;

import java.time.LocalDateTime;
import java.util.Map;

/**
 * <p>
 * 签到、签退信息记录表 服务类
 * </p>
 *
 * @author fu
 * @since 2024-02-05
 */
public interface PatrolInspectionAttendanceService extends CrudService<PatrolInspectionAttendance> {

    IPage<Map<String, Object>> pageList(Integer pageNum, Integer pageSize, String operateCode, String operator, LocalDateTime startTime, LocalDateTime endTime);

    void add(PatrolInspectionAttendance patrolInspectionAttendance);

    String getDeptName(Integer id);
}
