package com.usky.fire.service.vo;

import lombok.Data;

@Data
public class DemFireStatisticsCountScattorVO {

    /**
     * 直接财产损失总数(万)
     */
    private double directPropertyLossTotal;

    /**
     * 火灾总数
     */
    private Integer fireCount;

    /**
     * 过火面积总数(m²)
     */
    private double burnedAreaTotal;

    /**
     * 死亡人数(人)
     */
    private Integer deathTollTotal;

    /**
     * 受伤人数(人)
     */
    private Integer injuredNumberTotal;

}
