package com.usky.fire.service.vo;

import lombok.Data;

import java.time.LocalDateTime;

@Data
public class DemFireStatisticsScattorVO {
    /**
     * 火灾序号
     */
    private String fireNumber;

    /**
     * 起火时间_日期型
     */
    private LocalDateTime fireTime;

    /**
     * 起火地点
     */
    private String fireAddress;

    /**
     * 起火经过
     */
    private String fireProcess;

    /**
     * 直接财产损失
     */
    private String directPropertyLoss;

    /**
     * 过火面积
     */
    private String burnedArea;

    /**
     * 受灾户数
     */
    private String affectedHouse;

    /**
     * 受灾人数
     */
    private String victimNumber;

    /**
     * 死亡人数
     */
    private String deathToll;

    /**
     * 受伤人数
     */
    private String injuredNumber;

    private String longitude;
    private String latitude;
    private String district;
    private String street;
}
