package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.usky.fire.domain.BaseBuild;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author JCB
 * @since 2022-07-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class IndexResult2Vo implements Serializable {

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 指数名称
     */
    private String indexName;

    /**
     * 指数权重分
     */
    private Double indexWeight;

    /**
     * 得分
     */
    private Double indexScore;

    /**
     * 指数值
     */
    private String indexData;

    /**
     * 评分说明
     */
    private String scoreDesc;

    /**
     * 评分类型
     */
    private Integer scoreType;

    /**
     * 三级指数结果清单
     */
    private List<IndexResult3Vo> indexResult1List;

}
