package com.usky.iot.controller.api;

import com.usky.iot.client.DeviceStatusClient;
import com.usky.iot.service.BaseAlarmService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Api(tags = "数据统一查询RPC")
public class DeviceStatusApi implements DeviceStatusClient {

    @Autowired
    private BaseAlarmService baseAlarmService;

    public void status(){
        baseAlarmService.status();
    }

}
