package com.usky.iot.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.iot.domain.CrmInvoiceInfo;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.iot.service.vo.CrmInvoiceInfoRequest;
import com.usky.iot.service.vo.CrmInvoiceInfoVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 客户发票信息表 Mapper 接口
 * </p>
 *
 * @author han
 * @since 2023-06-29
 */
public interface CrmInvoiceInfoMapper extends CrudMapper<CrmInvoiceInfo> {
    Page<CrmInvoiceInfo> page(IPage<CrmInvoiceInfo> page, @Param("gr")CrmInvoiceInfoRequest crmInvoiceInfoRequest);

    List<CrmInvoiceInfo> export(@Param("gr")CrmInvoiceInfoRequest crmInvoiceInfoRequest);
}
