package com.usky.iot.mapper;

import com.usky.common.mybatis.core.CrudMapper;
import com.usky.iot.domain.DmpProductInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


/**
 * <p>
 * 产品信息表 Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2022-10-08
 */
public interface DmpProductInfoMapper extends CrudMapper<DmpProductInfo> {



    List<Map<String,Object>> selectCollect(@Param("tenantId") Integer tenantId);
}
