package com.usky.iot.service.mqtt;


import com.fasterxml.jackson.core.JsonProcessingException;
import com.usky.iot.service.vo.MqttBaseVO;

import java.util.List;
import java.util.Map;

/**
 * 策略类
 *
 * @author yq
 * @date 2021/11/3 8:27
 */
public interface MqttStrategy {
    /**
     * 处理消息(策略模式由子类实现)
     *
     * @param mqttBaseVO
     * @return
     */
    String disposeMessage(MqttBaseVO mqttBaseVO);

}
