package com.usky.issue.domain;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author fu
 * @since 2023-12-13
 */

@Data
@EqualsAndHashCode(callSuper = false)
public class SpHj2017 implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private String port;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime time;

    /**
     * 状态
     */
    private String status;

    /**
     * 地址 ip
     */
    private String address;

    /**
     * 防火分区
     */
    private String compartment;

    /**
     * 火警流程
     */
    private String fireprocess;

    private LocalDateTime flowendtime;

    /**
     * 命令码
     */
    private String ncmd;

    /**
     * 备用字段
     */
    private String data1;

    /**
     * 类型
     */
    private String data2;

    /**
     * 命令源码
     */
    private String data3;

    /**
     * 回路地址
     */
    private String data4;

    /**
     * 部件位置信息
     */
    private String data5;

    /**
     * 处理类型
     */
    private String cllx;

    /**
     * 处理时间
     */
    private LocalDateTime clsj;

    /**
     * 处理人
     */
    private String clr;

    /**
     * 处理内容
     */
    private String clnr;

    /**
     * 处理误报(1 误报  0 非误报)
     */
    private String clwb;

    /**
     * 联系人
     */
    private String cllxr;

    /**
     * 联系电话
     */
    private String cldh;

    /**
     * 处理状态
     */
    private Integer clzt;

    /**
     * 视频地址
     */
    private String video;


}
