package com.usky.issue.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author fu
 * @since 2023-12-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SpProjectConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * appKey
     */
    private String appKey;

    /**
     * 项目对应单位编号
     */
    private String companyCode;


}
