package com.usky.issue.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.issue.domain.YtDeviceStatus;
import com.usky.common.mybatis.core.CrudService;
import com.usky.issue.service.vo.YtDeviceStatusRequestVO;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 离线设备VIEW 服务类
 * </p>
 *
 * @author fu
 * @since 2023-11-23
 */
public interface YtDeviceStatusService extends CrudService<YtDeviceStatus> {

    //离线设备分页查询
    CommonPage<YtDeviceStatus> page(YtDeviceStatusRequestVO requestVO);

    //离线设备数据导出
    List<YtDeviceStatus> export();

    //根据单位编号查询离线设备
    List<Map<String, Object>> deviceList(String requestBody);
}
