package com.usky.issue.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.usky.issue.domain.SpProjectConfig;
import com.usky.issue.mapper.SpProjectConfigMapper;
import com.usky.issue.service.SpProjectConfigService;
import com.usky.common.mybatis.core.AbstractCrudService;
import com.usky.issue.service.vo.SpProjectConfigRequestVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author fu
 * @since 2023-12-11
 */
@DS("UskyOw")
@Service
public class SpProjectConfigServiceImpl extends AbstractCrudService<SpProjectConfigMapper, SpProjectConfig> implements SpProjectConfigService {
    @Autowired
    SpProjectConfigMapper spProjectConfigMapper;
    @Override
    public String getCompanyCode(SpProjectConfigRequestVO RequestVO) {
        String appKey = RequestVO.getAppKey();
        String companyCode = spProjectConfigMapper.getCompanyCode(appKey);
        return companyCode;
    }
}
