package com.usky.park.mapper;

import com.usky.park.domain.DmpDevice;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.park.service.vo.DeviceDataHistoryMiddleVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 设备信息表 Mapper 接口
 * </p>
 *
 * @author zyj
 * @since 2023-03-30
 */
public interface DmpDeviceMapper extends CrudMapper<DmpDevice> {
    List<DeviceDataHistoryMiddleVO> QueryDeviceHistoryData(@Param("tableName") String tableName, @Param("startDate") String startDate, @Param("endDate") String endDate);
}
