package com.usky.park.service.vo;

import com.usky.common.core.annotation.Excel;
import lombok.Data;

@Data
public class DeviceHistoryDataExportVO {

    /**
     * 设备名称
     */
    @Excel(name = "设备名称")
    private String deviceName;

    /**
     * 数据时间
     */
    @Excel(name = "数据时间")
    private String dataDate;

    /**
     * 温度
     */
    @Excel(name = "温度")
    private String wd;

    /**
     * 湿度
     */
    @Excel(name = "湿度")
    private String sd;

    /**
     * 二氧化碳
     */
    @Excel(name = "二氧化碳")
    private String co2;

    /**
     * 甲醛
     */
    @Excel(name = "甲醛")
    private String jq;

    /**
     * PM2.5
     */
    @Excel(name = "PM2.5")
    private String pm2_5;

    /**
     * TVOC
     */
    @Excel(name = "TVOC")
    private String tvoc;

    /**
     * PM1.0
     */
    @Excel(name = "PM1.0")
    private String pm1_0;

    /**
     * PM10
     */
    @Excel(name = "PM10")
    private String pm10;
}
